Bug 683602 - [abrt] fedpkg-0.5.5.0-2.fc14: __init__.py:87:_hash_file:IOError: [Errno 2] No such file or directory: 'bodhi.template'
Summary: [abrt] fedpkg-0.5.5.0-2.fc14: __init__.py:87:_hash_file:IOError: [Errno 2] No...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:64f65174
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-09 20:09 UTC by Paul Wouters
Modified: 2013-01-10 06:30 UTC (History)
3 users (show)

Fixed In Version: fedora-packager-0.5.9.0-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-18 04:05:31 UTC


Attachments (Terms of Use)
File: backtrace (592 bytes, text/plain)
2011-03-09 20:09 UTC, Paul Wouters
no flags Details

Description Paul Wouters 2011-03-09 20:09:03 UTC
abrt version: 1.1.17
architecture: x86_64
component: fedora-packager
executable: /usr/bin/fedpkg
kernel: 2.6.35.10-74.fc14.x86_64
package: fedpkg-0.5.5.0-2.fc14
reason: __init__.py:87:_hash_file:IOError: [Errno 2] No such file or directory: 'bodhi.template'
release: Fedora release 14 (Laughlin)
time: 1299701259
uid: 500

backtrace
-----
__init__.py:87:_hash_file:IOError: [Errno 2] No such file or directory: 'bodhi.template'

Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 1480, in <module>
    args.command(args)
  File "/usr/bin/fedpkg", line 828, in update
    hash = pyfedpkg._hash_file('bodhi.template', 'sha1')
  File "/usr/lib/python2.7/site-packages/pyfedpkg/__init__.py", line 87, in _hash_file
    input = open(file, 'rb')
IOError: [Errno 2] No such file or directory: 'bodhi.template'

Local variables in innermost frame:
hashtype: 'sha1'
sum: <sha1 HASH object @ 0x2df7e90>
file: 'bodhi.template'

How to reproduce
-----
1. run fedpkg update - let it wait in editor
2. in another window run fedpkg update - it will abort
3. resume the first fedpkg process

Comment 1 Paul Wouters 2011-03-09 20:09:05 UTC
Created attachment 483297 [details]
File: backtrace

Comment 2 Jesse Keating 2011-04-07 22:53:00 UTC
huh, this is kind of a case of "don't do that".  That said, I put in a little check to make sure there is a file before we sum it.

Comment 3 Fedora Update System 2011-04-11 21:13:07 UTC
fedora-packager-0.5.8.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.8.1-1.fc15

Comment 4 Fedora Update System 2011-04-11 21:14:11 UTC
fedora-packager-0.5.8.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.8.1-1.fc14

Comment 5 Fedora Update System 2011-04-11 21:15:04 UTC
fedora-packager-0.5.8.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.8.1-1.fc13

Comment 6 Fedora Update System 2011-04-11 21:16:06 UTC
fedora-packager-0.5.8.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.8.1-1.el6

Comment 7 Fedora Update System 2011-04-11 21:16:59 UTC
fedora-packager-0.5.8.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.8.1-1.el5

Comment 8 Fedora Update System 2011-04-12 17:02:34 UTC
Package fedora-packager-0.5.8.1-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing fedora-packager-0.5.8.1-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/fedora-packager-0.5.8.1-1.el6
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-04-18 04:05:12 UTC
fedora-packager-0.5.8.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-04-18 22:43:10 UTC
fedora-packager-0.5.9.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.0-1.fc13

Comment 11 Fedora Update System 2011-04-18 22:46:55 UTC
fedora-packager-0.5.9.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.0-1.el6

Comment 12 Fedora Update System 2011-04-18 22:48:02 UTC
fedora-packager-0.5.9.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.0-1.el5

Comment 13 Fedora Update System 2011-04-19 19:27:49 UTC
fedora-packager-0.5.8.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-04-28 02:00:32 UTC
fedora-packager-0.5.9.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-05-05 15:53:13 UTC
fedora-packager-0.5.9.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-05-05 15:54:01 UTC
fedora-packager-0.5.9.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.